Loading...
Searching...
No Matches
RDDepict::DepictException Class Reference

`#include <RDDepictor.h>`

Inheritance diagram for RDDepict::DepictException:

## Public Member Functions

| DepictException (const char *msg)
| DepictException (const std::string msg)
const char * | what () const noexcept override
| ~DepictException () noexcept override=default

## Detailed Description

Definition at line 31 of file RDDepictor.h.

## Constructor & Destructor Documentation

## DepictException() [1/2]

RDDepict::DepictException::DepictException | ( | const char * | msg | ) |

inline

Definition at line 33 of file RDDepictor.h.

## DepictException() [2/2]

RDDepict::DepictException::DepictException | ( | const std::string | msg | ) |

inline

Definition at line 34 of file RDDepictor.h.

## ~DepictException()

RDDepict::DepictException::~DepictException | ( |  | ) |

override default noexcept

References RDKIT_DEPICTOR_EXPORT.

## Member Function Documentation

## what()

const char * RDDepict::DepictException::what | ( |  | ) | const

inline override noexcept

Definition at line 35 of file RDDepictor.h.

The documentation for this class was generated from the following file:

- RDDepictor.h